package gestioneventosfecha;

public class GestorEventos1 implements EventoFechaListener{

    @Override
    public void manejarEventoFecha(EventoFecha e) {
        System.out.println("-----------------------------------------------------------------");
        System.out.println("La instancia de la clase "+this.getClass().getName()+" ha interceptado ");
        System.out.println("el evento con actionCommand <<"+e.getActionCommand()+">>");
        System.out.println("Disparado desde la fuente <<"+e.getSource().getClass().getName()+">>");
        System.out.println("El filtro ha generado un código de error "+e.getCodigoError());
        System.out.println("Para un valor de fecha "+((Fecha)e.getSource()).getFecha());
        System.out.println("-----------------------------------------------------------------");
    }   
}
